Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.buildin.simplelong
Class SimpleLongScoreHolder

    java.lang.Object
      org.optaplanner.core.api.score.holder.AbstractScoreHolder
          org.optaplanner.core.api.score.buildin.simplelong.SimpleLongScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class SimpleLongScoreHolder

extends AbstractScoreHolder

See Also:
  `SimpleLongScore`, Serialized Form

Field Summary
`protected long` | `score`

Fields inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`constraintMatchEnabled, constraintMatchTotalMap`

Constructor Summary
`SimpleLongScoreHolder(boolean constraintMatchEnabled)`

Method Summary
`void` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, long weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`.
`long` | `getScore()`
`void` | `setScore(long score)` Deprecated.

Methods inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`getConstraintMatchTotals, isConstraintMatchEnabled, registerBigDecimalConstraintMatch, registerDoubleConstraintMatch, registerIntConstraintMatch, registerLongConstraintMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### score

    protected long score

Constructor Detail

### SimpleLongScoreHolder

    public SimpleLongScoreHolder(boolean constraintMatchEnabled)

Method Detail

### getScore

    public long getScore()

### setScore

    @Deprecated
    public void setScore(long score)

  Deprecated.

### addConstraintMatch

    public void addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                   long weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.